Cyberduck Mountain Duck CLI

#7638 closed defect (worksforme)

Moving to another bucket causes data loss if copy fails

Reported by: rafael fonseca Owned by: dkocher
Priority: highest Milestone:
Component: s3 Version: 4.4.2
Severity: critical Keywords:
Cc: Architecture:
Platform: Mac OS X 10.9

Description

We have verified that dragging a file from one S3 bucket to another using Cyberduck causes the file to be completely lost if the upload fails. That is because the client sends a /DELETE command to the original bucket to delete the file even when the upload operation failed.

Change History (5)

comment:1 Changed on Nov 25, 2013 at 1:42:03 PM by dkocher

  • Milestone set to 4.5
  • Status changed from new to assigned
  • Summary changed from Dragging files from one S3 window to another causes data loss to Copying to another bucket causes data loss if copy fails

comment:2 Changed on Nov 25, 2013 at 1:47:01 PM by dkocher

  • Summary changed from Copying to another bucket causes data loss if copy fails to Moving to another bucket causes data loss if copy fails

Please post the transcript from the log drawer (⌘-L). That should not be the case as the delete operation is only sent whenno I/O error occurs or the server does not reply with an error response.

comment:3 Changed on Nov 26, 2013 at 1:55:38 AM by rafael fonseca

As with all exact sciences, we can no longer replicate this issue using a set of test files. ;)

This incident, however, highlighted the need to turn on versioning on our S3 buckets. Lesson learned.

comment:4 Changed on Nov 26, 2013 at 8:08:03 AM by dkocher

  • Resolution set to worksforme
  • Status changed from assigned to closed

comment:5 Changed on Jan 31, 2014 at 4:49:02 PM by dkocher

  • Milestone 4.5 deleted
Note: See TracTickets for help on using tickets.
swiss made software